<?php

namespace Otys\OtysPlugin\Includes\OtysApi;

class Mail extends OtysApiBase
{
    public function send($args = [], $useEmptyMail = true)
    {
        if ($useEmptyMail === true && isset($args['htmlMessage'])) {
            if (!empty($emptyMail = $this->getEmptyMail())) {
          
                $args['htmlMessage'] = str_replace('<!--BODY-->', $args['htmlMessage'], $emptyMail['htmlMessage']);
            }
        }

        $request = [
            "jsonrpc" => "2.0",
            "method" => "Otys.Services.EmailService.send",
            "params" => [
                $this->otysApi->session,
                $args
            ],
            "id" => 1
        ];

        $response = $this->post($request, false, false);

        return $response;
    }

    public function getEmptyMail()
    {
        $request = [
            "jsonrpc" => "2.0",
            "method" => "Otys.Services.EmailService.getEmptyMessage",
            "params" => [
                $this->otysApi->session
            ],
            "id" => 1
        ];

        $response = $this->post($request);

        return $response;
    }
}
