<?php

/**
 * Shortcodes which will return information about the routes
 */

namespace Otys\OtysPlugin\Shortcodes;

use Otys\OtysPlugin\Includes\Core\Shortcodes;

class RoutesShortcodes extends ShortcodesBase
{
    /**
     * Constructor
     */
    public function __construct()
    {
        // Register shortcodes
        Shortcodes::add('otys-route', $this, 'get');
        Shortcodes::add('otys-url', $this, 'getUrl');
        Shortcodes::add('otys-image-url', $this, 'getImageUrl');
    }


    /**
     * Get route
     *
     * @param array $atts
     * @param [type] $content
     * @param [type] $args
     * @return void
     */
    public static function get($atts = [])
    {
        $module = array_key_exists('module', $atts) ? $atts['module'] : false;
        $locale = get_locale();

        $routes = get_option('otys_option_language_routes');

        if ($module && $routes) {
            if (!empty($routes) && !empty($routes[$module])) {
                foreach ($routes[$module] as $route) {
                    if ($locale == $route['locale']) {
                        return $route['slug'];
                    }
                }
            }
        }

        return null;
    }

    public static function getUrl($atts = [])
    {
        $route = static::get($atts);

        if ($route === null) {
            return null;
        }

        return '/' . $route . '/';
    }
}
