<?php

$args = wp_parse_args(
    $args,
    array(
        'plugin_cache' => false
    )
);

?>

<script>
    function otysConfirmCacheDelete(message) {
        let confirm = window.confirm(`<?php _e('Are you sure you want to delete', 'otys-plugin') ?> ${message}`);

        return confirm;
    }
</script>

<div class="wrap">
    <h1><?php _e('Admin cache', 'otys-jobs-apply'); ?></h1>

    <div class="tablenav top">
        <div class="alignleft actions bulkactions">
            <a href="<?php echo admin_url('admin.php?page=otys_cache&delete_cache=all') ?>" class="button" onclick="return otysConfirmCacheDelete('<?php _e('all cache', 'otys-jobs-apply') ?>')"><?php _e('Delete all cache', 'otys-jobs-apply') ?></a>
            <a href="<?php echo admin_url('admin.php?page=otys_cache&refresh_cache=all') ?>" class="button" onclick="return otysConfirmCacheDelete('<?php _e('all cache', 'otys-jobs-apply') ?>')"><?php _e('Refresh all cache', 'otys-jobs-apply') ?></a>
        </div>
    </div>

    <?php
    if ($args['plugin_cache']) {
        ?>

    <table class="wp-list-table widefat striped">
        <tbody>
            <thead>
                <th><?php _e('Transient name', 'otys-jobs-apply') ?></th>
                <th><?php _e('Autoload', 'otys-jobs-apply') ?></th>
                <th><?php _e('Expire time', 'otys-jobs-apply') ?></th>
                <th><?php _e('Action', 'otys-jobs-apply') ?></th>
            </thead>
            
        <?php
        foreach ($args['plugin_cache'] as $cache) :
            $timeLeftInSeconds = $cache['expire'] - time();
            ?>

            <tr>
                <td><?php echo esc_html($cache['name']); ?></td>
                <td><?php echo esc_html($cache['autoload']); ?></td>
                <td><?php echo ($timeLeftInSeconds <= 0) ? 'expired' : esc_html($timeLeftInSeconds) . 's'; ?></td>
                <td>
                    <a href="<?php echo admin_url('admin.php?page=otys_cache&delete_cache=' . esc_attr($cache['name'])) ?>" class="button" onclick="return otysConfirmCacheDelete('<?php echo esc_attr($cache['name']) ?>')"><?php _e('Delete', 'otys-jobs-apply') ?></a>
                </td>
            </tr>

            <?php
        endforeach;
        ?>
        </tobdy>
    </table>

        <?php
    } else {
        _e('Currently there is no cache', 'otys-jobs-apply');
    }
    ?>
</div>
