<div class="wrap">
    <h1><?php _e('Instructions', 'otys-jobs-apply'); ?></h1>

    <h2><?php _e('Shortcodes', 'otys-jobs-apply'); ?></h2>
    <table class="otys-instructions">
        <tr>
            <th colspan="3"><?php _e('Vacancies list', 'otys-jobs-apply'); ?></th>
        </tr>
        <tr>
            <th>Shortcode</th>
            <th colspan="2"><?php _e('Description', 'otys-jobs-apply'); ?></th>
        </tr>

        <tr>
            <td><code>[otys-vacancies-list]</code></td>
            <td colspan="2"><?php _e('Outputs a list of vacancies, otys-jobs-apply'); ?></td>
        </tr>

        <tr>
            <th>Attributes</th>
            <th>Description</th>
            <th>Example(s)</th>
        </tr>

        <tr>
            <td><code>perpage</code></td>
            <td><?php _e('Choose how many vacancies are displayed. Default: 10', 'otys-jobs-apply'); ?></td>
            <td><code><?php _e('[otys-vacancies-list perpage="5"]', 'otys-jobs-apply'); ?></code></td>
        </tr>

        <tr>
            <td>match criteria</td>
            <td><?php _e('It\'s possible to pre-filter on match criteria. To prefilter on match criteria you should add the match criteria name and option name as attribute to the shortcode.'); ?></td>
            <td>
                <code><?php _e('[otys-vacancies-list region="utrecht"]', 'otys-jobs-apply'); ?></code>
                <code><?php _e('[otys-vacancies-list region="utrecht,gelderland"]', 'otys-jobs-apply'); ?></code>
                <code><?php _e('[otys-vacancies-list region="utrecht,gelderland" hours-per-week="24-hours"]', 'otys-jobs-apply'); ?></code>
            </td>
        </tr>
    </table>

    <table class="otys-instructions">
        <tr>
            <th colspan="3"><?php _e('Vacancies filters', 'otys-jobs-apply'); ?></th>
        </tr>
        <tr>
            <th>Shortcode</th>
            <th colspan="2"><?php _e('Description', 'otys-jobs-apply'); ?></th>
        </tr>

        <tr>
            <td><code>[otys-vacancies-filters]</code></td>
            <td colspan="2"><?php _e('Ouputs a list of match criteria which enables the user to filter on [otys-vacancies-list]. The default criteria being displayed can be set in the settings panel of the plugin. When [otys-vacancies-filters] is on the same page as [otys-vacancies-list], [otys-vacancies-filters] will use the match criteria attributes of [otys-vacancies-list]. When [otys-vacancies-list] has match criteria attributes set, that specific criteria won\'t be shown in the [otys-vacancies-filters].', 'otys-jobs-apply'); ?></td>
        </tr>

    </table>

    <table class="otys-instructions">
        <tr>
            <th colspan="3"><?php _e('Vacancies short list', 'otys-jobs-apply'); ?></th>
        </tr>
        <tr>
            <th>Shortcode</th>
            <th colspan="2"><?php _e('Description', 'otys-jobs-apply'); ?></th>
        </tr>

        <tr>
            <td><code>[otys-vacancies-shortlist]</code></td>
            <td colspan="2"><?php _e('Outputs a short list of vacancies without pagination', 'otys-jobs-apply'); ?></td>
        </tr>

        <tr>
            <th>Attributes</th>
            <th>Description</th>
            <th>Example(s)</th>
        </tr>

        <tr>
            <td><code>limit</code></td>
            <td><?php _e('Choose how many vacancies are displayed. Default: 3', 'otys-jobs-apply'); ?></td>
            <td><code><?php _e('[otys-vacancies-list limit="5"]', 'otys-jobs-apply'); ?></code></td>
        </tr>

        <tr>
            <td>match criteria</td>
            <td><?php _e('It\'s possible to pre-filter on match criteria. To prefilter on match criteria you should add the match criteria name and option name as attribute to the shortcode.'); ?></td>
            <td>
                <code><?php _e('[otys-vacancies-list region="utrecht"]', 'otys-jobs-apply'); ?></code>
                <code><?php _e('[otys-vacancies-list region="utrecht,gelderland"]', 'otys-jobs-apply'); ?></code>
                <code><?php _e('[otys-vacancies-list region="utrecht,gelderland" hours-per-week="24-hours"]', 'otys-jobs-apply'); ?></code>
            </td>
        </tr>
    </table>

    <table class="otys-instructions">
        <tr>
            <th colspan="3"><?php _e('Vacancies keyword search form', 'otys-jobs-apply'); ?></th>
        </tr>
        <tr>
            <th>Shortcode</th>
            <th colspan="2"><?php _e('Description', 'otys-jobs-apply'); ?></th>
        </tr>

        <tr>
            <td><code>[otys-vacancies-search]</code></td>
            <td colspan="2"><?php _e('Outputs a search form which enables the user to search on keyword.', 'otys-jobs-apply'); ?></td>
        </tr>
    </table>

    <table class="otys-instructions">
        <tr>
            <th colspan="3"><?php _e('Open application form', 'otys-jobs-apply'); ?></th>
        </tr>
        <tr>
            <th>Shortcode</th>
            <th colspan="2"><?php _e('Description', 'otys-jobs-apply'); ?></th>
        </tr>

        <tr>
            <td><code>[otys-vacancies-apply]</code></td>
            <td colspan="2"><?php _e('Outputs a open application form.', 'otys-jobs-apply'); ?></td>
        </tr>

        <tr>
            <th>Attributes</th>
            <th>Description</th>
            <th>Example(s)</th>
        </tr>

        <tr>
            <td><code>redirect</code></td>
            <td><?php _e('Choose to which page the candidate should be redirected after a successful application. Attribute should be filled with the slug of the page you want to redirect the candidate to.', 'otys-jobs-apply'); ?></td>
            <td><code><?php _e('[otys-vacancies-list redirect="page-slug"]', 'otys-jobs-apply'); ?></code></td>
        </tr>
    </table>
</div>
