<?php

$args = wp_parse_args(
    $args,
    array(
        'class' => 'regular-text',
        'value' => []
    )
);

$installedLanguages = get_available_languages();
$pages = get_pages();

?>

<?php
foreach ($args['module_list'] as $module => $moduleName) {
    ?>
    <h2><?php echo esc_html($moduleName) ?></h2>
    <div id="route-list-<?php echo esc_attr($module) ?>" class="repeating-list">
        <div id="repeating-list-items-<?php echo esc_attr($module) ?>">
        <?php
        if (!empty($args['value'][$module])) {
            ?>
                <?php
                    foreach ($args['value'][$module] as $key => $route) {
                    ?>

                    <div id="<?php echo esc_attr($module) ?>-item-<?php echo esc_attr($key) ?>" class="form-input repeating-item" data-key="<?php echo esc_attr($key) ?>">
                        <?php
                        printf(
                            /* translators: %s: Select field to choose the front page. */
                            __('Vacancies overview page: %s', 'otys-jobs-apply'),
                            wp_dropdown_pages(
                                array(
                                    'name'              =>  $args['option_name'] . '[' . $module . '][' . $key . '][page]',
                                    'echo'              =>  false,
                                    'show_option_none'  =>  __( '&mdash; Select &mdash;' ),
                                    'selected'          =>  isset($route['page']) ? $route['page'] : false
                                )
                            )
                        );
                        ?>

                        <?php
                            wp_dropdown_languages([
                                'name' => $args['option_name'] . '[' . $module . '][' . $key . '][locale]',
                                'selected' => $route['locale'],
                                'explicit_option_en_us' => true
                            ]);
                        ?>

                        <button class="button action delete" data-key="<?php echo esc_attr($key) ?>"><?php _e('Delete', 'otys-jobs-apply') ?></button>
                    </div>

                    <?php
                    }
                ?>
            <?php
        } else {
        ?>
            <div class="error-message">
                <?php
                printf(
                    __('There are no routes added for %s.', 'otys-jobs-apply'),
                    $moduleName
                );
                ?>
                <p class="description">
                    <?php _e('Note that if a module has no routes specified, the module can\'t be reached.'); ?>
                </p>
            </div>
            <?php
        }
        ?>
        <template id="route-list-<?php echo esc_attr($module) ?>-template">
            <div class="form-input repeating-item" data-key="${key}">
                <?php
                printf(
                    /* translators: %s: Select field to choose the front page. */
                    __('Vacancies overview page: %s', 'otys-jobs-apply'),
                    wp_dropdown_pages(
                        array(
                            'name'              =>  esc_attr($args['option_name']) . '[' . esc_attr($module) . '][${key}][page]',
                            'echo'              =>  false,
                            'show_option_none'  =>  __( '&mdash; Select &mdash;', 'otys-jobs-apply'),
                            'selected'          =>  false
                        )
                    )
                );
                ?>

                <?php
                    wp_dropdown_languages([
                        'name' => esc_html($args['option_name']) . '[' . esc_html($module) . '][${key}][locale]'
                    ]);
                ?>

                <button class="button action delete"><?php _e('Delete', 'otys-jobs-apply') ?></button>
            </div>
        </template>
        </div>

        <div class="tablenav bottom">
            <button class="route-list-add button action" data-module="<?php echo esc_attr($module) ?>"><?php _e('Add route', 'otys-jobs-apply') ?></button>
        </div>
    </div>
    <?php
}
?>