<?php

/**
 * Reusable Pagination
 *
 * @package Otys\OtysPlugin
 * @since 1.0.0
 */

$args = wp_parse_args($args, []);

if (!empty($args['pagination']) && $args['pagination']['total_pages'] > 1) :
    ?>

    <nav class="pagination" aria-label="pagination">
        <ul class="pagination-items">
            <?php
            // Show prev button when needed
            if ($args["pagination"]["prev"]["show"]) :
                ?>
                <li class="pagination-item">
                    <a href="<?php echo esc_attr($args["pagination"]["prev"]["url"]) ?>" class="pagination-link" rel="prev">
                        <?php _e('Prev', 'otys-jobs-apply') ?>
                    </a>
                </li>
                <?php
            endif;

            // Show page numbers
            foreach ($args["pagination"]["pages"] as $page) {
                ?>
                <li class="pagination-item <?php echo ($page["active"]) ? 'active' :  '' ?>">
                    <a href="<?php echo esc_attr($page["url"]) ?>" class="pagination-link">
                        <?php echo esc_html($page['page']) ?>
                    </a>
                </li>
                <?php
            }

            // Show next button when needed
            if ($args["pagination"]["next"]["show"]) :
                ?>
                <li class="pagination-item">
                    <a href="<?php echo esc_attr($args["pagination"]["next"]["url"]) ?>" class="pagination-link" rel="next">
                        <?php _e('Next', 'otys-jobs-apply') ?>
                    </a>
                </li>
                <?php
            endif;
            ?>
        </ul>
    </nav>

    <?php
endif;
