<?php

/**
 * The template for displaying 404 vacancy pages
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Otys
 * @subpackage OtysOws
 * @since  1.0
 */

get_header();
?>
<div class="sw container-fluid">
    <div id="primary" class="content-area">
        <main id="main" class="site-main site-width">

            <div class="error-404 not-found">
                <header class="page-header">
                    <h1 class="page-title"><?php _e('Oops! That job can&rsquo;t be found.', 'otys-jobs-apply'); ?></h1>
                </header><!-- .page-header -->

                <div class="page-content">
                    <p><?php _e('It seems the job you\'re looking for doesn\'t exists anymore. Maybe try a search?', 'otys-jobs-apply'); ?></p>

                     <div id="vacancies-search-section">
                        <form class="owp-search-form" action="<?php echo do_shortcode('[otys-url module="vacancy"]') ?>" method="GET">
                            
                            <?php
                            foreach ($_GET as $getName => $getValue) {
                                if (array_key_exists($getName, $args['matchCriteriaList'])) :
                                ?>
                                
                                <input type="hidden" name="<?php echo esc_attr($getName) ?>" value="<?php echo esc_attr($getValue) ?>" />
                                
                                <?php
                                endif;
                            }
                            ?>
                            
                            <input class="owp-search-input" type="text" name="search" placeholder="Where are you looking for?" value="<?php echo isset($_GET['search']) ? htmlspecialchars($_GET['search'], ENT_QUOTES) : ''; ?>" />

                            <button class="button owp-search-button" type="submit"><?php _e('Search', 'otys-jobs-apply'); ?></button>
                        </form>
                    </div>
                </div><!-- .page-content -->
            </div><!-- .error-404 -->

        </main><!-- #main -->
    </div><!-- #primary -->
</div>
<?php
get_footer();
