<?php
    // Init vars
    $otysImageUrl = do_shortcode('[otys-image-url]');
?>

<div class="vacancies-list vacancies-shortlist">
    <?php
    if (!empty($args['vacancies'])) {
        foreach ($args['vacancies'] as $vacancy) {
            ?>

            <article class="vacancy vacancy-shortlist">
                <a href="<?php echo esc_url($vacancy['url']) ?>" class="vacancy-content">
                    <div class="vacancy-body">
                        <div class="vacancy-photo">
                            <?php
                            if ($vacancy['photoFileName']) {
                                ?>
                                <img src="<?php echo esc_attr($otysImageUrl) . esc_attr($vacancy['photoFileName']) ?>" alt="Thumbnail" />
                                <?php
                            }
                            ?>
                        </div>
                        <div class="vacancy-description">
                            <h3 class="vacancy-title"><?php echo esc_html($vacancy['title']); ?></h3>
                            <div class="vacancy-text">
                                <p>
                                    <?php echo substr(strip_tags(wp_kses_post($vacancy['textField_summary']['text'])), 0, 300); ?>
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="vacancy-footer">
                        <div class="vacancy-criteria owp-labels">
                            <?php
                            foreach ($vacancy['matchCriteriaNames'] as $criteria => $criteria_name) {
                                if (array_key_exists($criteria, $vacancy)) {
                                    foreach ($vacancy[$criteria] as $criteria_option) {
                                    ?>
                                        <div class="vacancy-criteria-option owp-label"><?php echo esc_html($criteria_option) ?></div>
                                    <?php
                                    }
                                }
                            }
                            ?>
                        </div>
                    </div>
                </a>
            </article>

            <?php
        }
    } else {
        ?>
        <div class="owp-vacancies-list-text owp-vacancies-list-empty">
            <p><?php _e('No vacancies found', 'otys-jobs-apply'); ?></p>
        </div>
        <?php
    }
    ?>
</div>